#include "sys/Syscall.h"
#include "thread/Scheduler.h"

Result<u64> sys_exit(Registers*, SyscallArgs args)
{
    u8 status = (u8)args[0];

    Process* current = Process::current();

    current->exit(status);
}
